summaryrefslogtreecommitdiff
path: root/makeinfo/tests/html-manuals
diff options
context:
space:
mode:
authorLorry <lorry@roadtrain.codethink.co.uk>2012-01-17 15:29:11 +0000
committerLorry <lorry@roadtrain.codethink.co.uk>2012-01-17 15:29:11 +0000
commit4ca63c0cf0f37ab550bcca8b36f67f631cf1f8d0 (patch)
treee055aa1329452dceeafd63de121a048a08a2eb7f /makeinfo/tests/html-manuals
downloadtexinfo-tarball-4ca63c0cf0f37ab550bcca8b36f67f631cf1f8d0.tar.gz
Tarball conversion
Diffstat (limited to 'makeinfo/tests/html-manuals')
-rwxr-xr-xmakeinfo/tests/html-manuals13
1 files changed, 13 insertions, 0 deletions
diff --git a/makeinfo/tests/html-manuals b/makeinfo/tests/html-manuals
new file mode 100755
index 0000000..2ba24f3
--- /dev/null
+++ b/makeinfo/tests/html-manuals
@@ -0,0 +1,13 @@
+#!/bin/sh
+# $Id: html-manuals,v 1.3 2004/04/11 17:56:47 karl Exp $
+# Test that all the distribution manuals can be converted to HTML.
+
+: ${srcdir=.}
+
+for manual in info.texi info-stnd.texi texinfo.txi; do
+ base=`echo $manual | sed 's/\.te*xi$//'`
+ ../makeinfo --html -I$srcdir/../../doc -I../../doc --no-split \
+ $srcdir/../../doc/$manual -o $base.html \
+ || exit 1
+ rm -f $base.html
+done